Project

General

Profile

Fix #48155

mgr/dashboard: fix API test: test_full_health

Added by Alfonso Martínez 3 months ago. Updated 3 months ago.

Status:
Resolved
Priority:
Normal
Category:
dashboard/backend
Target version:
% Done:

0%

Source:
Tags:
Backport:
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

It seems that due to this change:
https://github.com/ceph/ceph/pull/37915/files?file-filters%5B%5D=.cc&file-filters%5B%5D=.h&file-filters%5B%5D=.t#diff-bfd87f36386e8f1a3e7ca8f6f2b1a212e52d9cf188c0fa73193dd5eb751a54caR2682
Now API test is failing:

2020-11-09 15:53:32,068.068 INFO:__main__:======================================================================
2020-11-09 15:53:32,068.068 INFO:__main__:FAIL: test_full_health (tasks.mgr.dashboard.test_health.HealthTest)
2020-11-09 15:53:32,069.069 INFO:__main__:----------------------------------------------------------------------
2020-11-09 15:53:32,069.069 INFO:__main__:Traceback (most recent call last):
2020-11-09 15:53:32,069.069 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-api/qa/tasks/mgr/dashboard/helper.py", line 454, in assertSchema
2020-11-09 15:53:32,069.069 INFO:__main__:    return _validate_json(data, schema)
2020-11-09 15:53:32,069.069 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-api/qa/tasks/mgr/dashboard/helper.py", line 668, in _validate_json
2020-11-09 15:53:32,069.069 INFO:__main__:    for key, sub_schema in schema.sub_elems.items()
2020-11-09 15:53:32,069.069 INFO:__main__:tasks.mgr.dashboard.helper._ValError: In `input['mon_status']`: unknown keys: {'stretch_mode'}
2020-11-09 15:53:32,070.070 INFO:__main__:
2020-11-09 15:53:32,070.070 INFO:__main__:During handling of the above exception, another exception occurred:
2020-11-09 15:53:32,070.070 INFO:__main__:
2020-11-09 15:53:32,070.070 INFO:__main__:Traceback (most recent call last):
2020-11-09 15:53:32,070.070 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-api/qa/tasks/mgr/dashboard/test_health.py", line 272, in test_full_health
2020-11-09 15:53:32,070.070 INFO:__main__:    self.assertSchema(data, schema)
2020-11-09 15:53:32,070.070 INFO:__main__:  File "/home/jenkins-build/build/workspace/ceph-api/qa/tasks/mgr/dashboard/helper.py", line 456, in assertSchema
2020-11-09 15:53:32,070.070 INFO:__main__:    self.assertEqual(data, str(e))
2020-11-09 15:53:32,070.070 INFO:__main__:AssertionError: {'health': {'status': 'HEALTH_OK', 'check[310536 chars]: 0}} != "In `input['mon_status']`: unknown keys: {'stretch_mode'}" 

History

#1 Updated by Alfonso Martínez 3 months ago

  • Status changed from New to Fix Under Review
  • Pull request ID set to 48155

#3 Updated by Kefu Chai 3 months ago

  • Status changed from Fix Under Review to Resolved

Also available in: Atom PDF